
/*GLOBALES*/

:root {
    --principalFont: "Quicksand", sans-serif;
    --secundaryFont: "Nunito", sans-serif;
    --primary: #f4e6c2;
    --secondary: #d4a373;
    --sections: #faf7f0;
    --headings: #2d2d2d;
    --texts: #4a4a4a;
}
html {
    font-size: 62.5%;
    box-sizing: border-box;
    scroll-padding-top: 0rem;
}
*, 
*:before,
*:after {
    box-sizing: inherit;
}
body {
    font-optical-sizing: auto;
    font-style: normal;
    background-color: var(--primary);
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}
p {
    font-family: var(--secundaryFont);
    color: var(--texts);
    line-height: 1.5;
}
.container {
    width: 95%;
    max-width: 120rem;
    margin: 0 auto;
    flex: 1 0 auto;
}
a {
    text-decoration: none;
}
h1, h2, h3 {
    margin: 0;
    font-weight: 900;
    font-family: var(--principalFont);
    color: var(--headings);
}
h1 {
    font-size: 4rem;
}
h2 {
    font-size: 3.2rem;
}
h3 {
    font-size: 2rem;
    text-align: center;
}
img {
    max-width: 100%;
    height: auto;
    display: block;
}

span {
    color: var(--secondary);
}

/* HEADER */

.header {
    background-color: white;
    justify-content: space-evenly;
    flex-direction: column;
    padding-bottom: 2rem;
    
}

.header, .logo, .navigation {
    display: flex;
    align-items: center;
}

.logo__img {
    width: 10rem;
}

.logo__title {
    margin: 0 0 0 1rem;
}

/*NAVIGATION*/

.navigation {
    gap: 3rem;
    flex-direction: column;
}

.navigation__link, .footer__link {
    font-family: var(--secundaryFont);
    color: var(--texts);
    font-size: 2rem;
    cursor: pointer;
    
}

.navigation__link:last-of-type {
    background-color: var(--secondary);
    padding: 2rem 3rem;
    border-radius: 4rem;
    color: white;
    font-weight: 700;
    transition: background-color 0.3s ease;
}

.navigation__link:last-of-type:hover {
    background-color: var(--headings);
}


/*MAIN*/

.main_container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 2rem;
}

.intro_info__header{
    font-size: 4.4rem;
}

.intro_info__text {
    font-size: 2rem;
}

/*BUTTONS*/

.button {
    font-family: var(--principalFont);
    font-size: 1rem;
    font-weight: 900;
    padding: 1.5rem 2rem;
    border-radius: 2rem;
    margin-right: 2rem;
    cursor: pointer;
    border: 2px solid var(--secondary);
    background-color: var(--secondary);
    color: white;
    transition: background-color 0.3s ease, 
                border-color 0.3s ease, 
                transform 0.2s ease;
}

.button--servicios{
    background-color: transparent;
    color: var(--secondary);
    
}

.button--servicios:hover {
    background-color: var(--secondary);
    color: white;
}

.button--whatsapp{
    text-decoration: underline;
}

.button--whatsapp:hover {
    background-color: var(--headings);
    border-color: var(--headings);
    transform: translateY(-5px);
}

/*IMAGE*/


.intro_img {
    width: 85%;
    align-items: center;
}
.intro_img img{
    border-radius: 8rem;
}

/* SERVICES */


/*Allows a section to override the delimiter asigned to the web's body*/
.services_container, .before-after{
    width: 100vw;
    position: relative;
    left: 50%;
    right: 50%;
    margin-left: -50vw;
    margin-right: -50vw;
}
.services_content, .card {
    display: flex;
    flex-direction: column;
    align-items: center;
    
}

.services_content {
    padding: 7rem 0;
}

.services_container{
    justify-content: center;
    margin-top: 20rem;
    background-color: var(--sections);
    text-align: center;
}

.services_container__title {
    font-size: 4rem;
    margin: 5rem 0;
}

.services_container__text {
    font-size: 2rem;
    margin-top: -2rem;
}

/*CARDS*/

.card_container {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.card{
    background-color: white;
    border-radius: 4rem;
    padding: 2rem;
    transition: box-shadow 0.3s ease,
                transform 0.3s ease;
}

.card:hover {
    box-shadow: 0 1rem 0 0 var(--secondary);
    transform: translateY(-15px);
}

.card__icon {
    width: 5rem;
    height: auto;
    fill: var(--secondary);
    margin: 2rem 0;
}

.card__icon path{
    stroke: var(--secondary) !important;
}

.card__icon--white {
    fill: white;
}

.card__info{
    font-size: 1.7rem;
    text-align: center;
}

/*BEFORE - AFTER*/


.before-after{
    background-color: wheat;
}
.before-after_content{
    padding: 7rem 0;
    text-align: center;
}

.before-after_content__title {
    font-size: 4rem;
}

.social, .facebook_info, .instagram_info{
    display: flex;
    justify-content: center;
    align-items: center;
}

/*SOCIAL*/

.social {
    flex-direction: column;
    gap: none;
}


.facebook_info{
    gap: 1rem;
}

.instagram_info__icon, .facebook_info__icon {
    height: auto;
    width: 3rem;
}

.facebook_info__icon {
    fill: #2E59BF;
}

.instagram_info__icon {
    fill: #e1306c;
}

.before-after_content__info {
    font-size: 2rem;
}

.before-after_content__info--instagram, .before-after_content__info--facebook {
    font-weight: 900;
    cursor: pointer;
}

.before-after_content__info--instagram{
    color: #e1306c;
}

.before-after_content__info--facebook{
    color: #2E59BF;
}

/*CAROUSEL*/

.carousel_window {
    overflow: hidden;
}

.carousel_track {
    display: flex;
    transition: transform 0.5s ease;
}

.carousel_element {
    background-color: wheat;
    display: grid;
    justify-content: center;
    grid-template-columns: repeat(2, auto);
    gap: 1.5rem;
    padding: 1.5rem;
    flex: 0 0 100%;
}


.carousel_element__container {
    background-color: var(--sections);
    display: flex;
    justify-content: center;
    padding: 3rem;
    border-radius: 3rem;
}

.arrows_container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
}

.arrow{
    background-color: var(--sections);
    fill: var(--secondary);
    padding: 1rem;
    border-radius: 1.5rem;
    margin-right: 1rem;
    cursor: pointer;
}

.arrow__icon {
    width: 5rem;
    height: auto;
}


/*CONTACT BANNER*/

.banner_contact {
    margin-top: 15rem;
    display: flex;
    justify-content: center;
}

.banner_contact__content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: var(--headings);
    padding: 5rem ;
    width: 70%;
    border-radius: 5rem;
    
}

/*BUTTON*/

.button--contacto {
    background-color: #25d366;
    border-color: #25d366;
    border-radius: 6rem;
    display: flex;
    align-items: center;
    cursor: pointer;
    margin-left: 2.5rem;
    transition: box-shadow 0.3s ease,
                transform 0.3s ease;
}

.button--contacto:hover {
    transform: scale(1.05);
    box-shadow: 0 1rem 4rem #62be84 ;
}

.button__icon {
    height: auto;
    width: 3rem;
    fill: white;
}

.banner_contact__title, .banner_contact__info {
    color: var(--sections);
}

.banner_contact__title{
    font-size: 3rem;
}

.banner_contact__info {
    font-size: 2rem;
}

/*FOOTER*/

.footer {
    background-color: var(--sections);
    text-align: center;
    flex-shrink: 0;
    
}

.footer-wrapper {
    display: flex;
    justify-content: space-evenly;
}

hr{
    opacity: 0.2;
}

.grid-container {

    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 4rem;  
    margin: 5rem 5rem; 
}

.footer-brand {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.footer_aditional__icon {
    height: auto;
    width: 5rem;
    fill: var(--secondary);
}

.footer_info {
    font-size: 2rem;
}

.footer_links {
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 2rem;
    padding: 0;
    text-align: left;
    
}

.footer_header {
    font-size: 2rem;
    font-weight: 700;
}

.footer_aditional {
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 1rem;
}

.footer_aditional__row {
    display: flex;
    align-items: center;
    gap: 0.8rem;
}

.footer_aditional__icon {
    width: 20px;
    height: 20px;
    flex-shrink: 0;
    fill: var(--secondary);
}

/*OVERLAY*/

.modal_overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 999;
    opacity: 1;
    transition: opacity 0.3s ease;
}

    .modal_overlay.hidden {
        opacity: 0;
        pointer-events: none;
    }

    .modal_box {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        background: #fff;
        border-radius: 16px;
        padding: 32px;
        max-width: 360px;
        width: 90%;
        text-align: center;
        box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
        transform: scale(1);
        transition: transform 0.3s ease;
    }

    .modal_overlay.hidden .modal_box {
        transform: scale(0.9);
    }

    .modal_logo {
        width: 10rem;
        margin-bottom: 12px;
    }

    .modal_box h3 {
        
        margin: 0 0 8px;
        color: #3a2e2e;
    }

    .modal_box p, .overlay_text {
        color: #6b6b6b;
        margin-bottom: 24px;
        font-size: 2rem;
    }

    .modal_buttons {
        display: flex;
        gap: 12px;
        justify-content: center;
    }

    .modal_btn {
        padding: 10px 20px;
        border-radius: 8px;
        border: none;
        cursor: pointer;
        font-weight: 600;
        transition: opacity 0.2s ease;
        font-size: 2rem;
        font-family: var(--principalFont);
    }

    .modal_btn:hover {
        opacity: 0.85;
    }

    .modal_btn_primary {
        background-color: #C08552; 
        color: white;
    }

    .modal_btn_secondary {
        background-color: #eee;
        color: #3a2e2e;
    }




/*RESPONSIVE*/


/*CELLPHONE*/

@media (min-width: 480px) { 
    .header{
        position: sticky;
        top: 0;
        z-index: 10;
    }
    .navigation {
        flex-direction: row;
    }

    .button {
        font-size: 1.7rem;
    }

    .intro_info__header{
        font-size: 6rem;
    }

    .intro_info__text{
        font-size: 2.5rem;
    }

    .card_container{
        display: grid;
        grid-template-columns: repeat(2, 1fr);

    }

    .banner_contact_content {
        padding: 5rem 2rem;
    }

    .banner_contact__title{
         font-size: 4rem;
    }

    .section_active {
        color: var(--secondary);
        font-weight: 900;
    }

    .social {
        flex-direction: row;
        gap: 2rem;
    }


    
}


/*TABLET*/
@media (min-width: 769px) { 
    .logo__img {
        width: 15rem;
    }

    .header {
        flex-direction: row;
        padding: 0;
    }

      .main_container {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        column-gap: 4rem;
        margin-top: 8rem;
        place-items: center;
        text-align: left;
    }

    .card_container{
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        column-gap: 3rem;
        row-gap: 2rem;
    }

    .grid-container {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        margin: 5rem 0;
    }

    .footer_links {
        padding: 0 15rem;
    }

    .footer-brand {
        align-items: start;
    }


}



